package com.engine.organization.mapper.trigger;


import com.engine.organization.entity.hrmresource.po.HrmResourcePO;
import org.apache.ibatis.annotations.Param;
import weaver.hrm.passwordprotection.domain.HrmResource;

import java.sql.Date;


/**
 * @Author dxfeng
 * @Date 2022/8/30
 * @Version V1.0
 **/
public interface CompTriggerMapper {
    Integer getEcCompanyIdByUuid(@Param("uuid") String uuid);

    HrmResource getHrmResourceById(@Param("id") Integer id);

    String getJobTitleMarkById(@Param("id") Integer id);

    Integer sumStaffNum(@Param("fdatebegin") Date fdatebegin, @Param("compId") Integer compId);

    int deleteMap(@Param("ftype") Integer ftype, @Param("fobjid") Integer fobjid, @Param("fdatebegin") Date fdatebegin);

    int updateMap(@Param("ftype") Integer ftype, @Param("fobjid") Integer fobjid, @Param("fdatebegin") Date fdatebegin, @Param("fdate") Date fdate);

    HrmResourcePO getResourceByEcId(@Param("ecId") Integer ecId);
}
